Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class IfsObjectResolver

    java.lang.Object
      oracle.ifs.utils.common.IfsObjectResolver

    public class IfsObjectResolver

extends java.lang.Object

The `IfsObjectResolver` is misc utils associated with collections and various IfsValueDefaults It is not meant for things that should be there own object such as ContentResolver

See Also:
  `Format`
(Published)

Field Summary
`protected LibrarySession` | `m_session` the current session

Constructor Summary
`IfsObjectResolver(LibrarySession session)` Constructs a LookupHandler object - standard variant.

Method Summary
`Parser` | `constructParser(java.lang.String parserPath)` constructs a parser based on a parserpath
`Folder` | `getAnonymousHomeFolder()` Finds the folder that is the home folder for the anonymous user
`java.lang.String[]` | `getAttributeNameList(LibraryObject lo)` Returns a list of available attribute names associated with a LO.
`AttributeValue[]` | `getAttributes(LibraryObject obj, java.lang.String[] attrs)`
`AttributeValue[][]` | `getAttributesArray(LibraryObject[] objs, java.lang.String[] attrs)` Gets a set of Attributes for an array of LibraryObjects.
`AttributeValue` | `getAttributeValue(java.lang.String type, java.lang.String value)` Makes the AttributeValue associated with this type and value
`int` | `getDesiredBufferSize()` detrmines the size of the byte buffer
`DirectoryUser` | `getDirectoryUser(java.lang.String username)` Gets the DirectoryUser aociated with username
`static Format` | `getFormatByFilename(LibrarySession session, java.lang.String filename)` Derives a format based on the extension of the given filename.
`Folder` | `getHomeFolder()` Gets the home folder for the current user
`Folder` | `getHomeFolder(DirectoryUser user)` Gets the home folder for the user
`Folder` | `getHomeFolder(java.lang.String username)` Gets the home folder for the username
`LibraryObject` | `getLibraryObjectById(java.lang.Long id)` Gets either the PublicObject, SystemObject, or SchemaObject associated with id.
`LibraryObject` | `getLibraryObjectByValueDefault(java.lang.String valDefName)` Gets a LibraryObject from a ValueDefault name.
`java.lang.String` | `getMeaningfulString(AttributeValue attr)`
`Parser` | `getParserByFilename(java.lang.String filename)` Finds and constructs a parser based on its filename extension.
`AccessControlList` | `getSystemAcl(java.lang.String aclname)` Finds the System Acl associated with aclname

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_session

    protected LibrarySession m_session

  Description copied from class: `IfsObjectResolver`
  the current session

Constructor Detail

### IfsObjectResolver

    public IfsObjectResolver(LibrarySession session)

  Constructs a LookupHandler object - standard variant.

  Parameters:
    `session` - current LibrarySession

Method Detail

### getFormatByFilename

    public static Format getFormatByFilename(LibrarySession session,
                                             java.lang.String filename)
                                      throws IfsException

  Description copied from class: `IfsObjectResolver`
  Derives a format based on the extension of the given filename.

  Parameters:
    `session` - the LibrarySession to use
    `filename` - the filename to map to a Format
  Returns:
    the Format based on the file extension of the given filename, or the "bin" Format if no Format maps to the filename.
  Throws:
    `IfsException` - if the "bin" Format could not be found, or if an error occurs

### getAttributeNameList

    public java.lang.String[] getAttributeNameList(LibraryObject lo)
                                            throws IfsException

  Description copied from class: `IfsObjectResolver`
  Returns a list of available attribute names associated with a LO.

  Parameters:
    `lo` - LibraryObject to retrieve attribute names from, will npe if null return An array of attribute names as String
  Throws:
    `IfsException`

### getAttributeValue

    public AttributeValue getAttributeValue(java.lang.String type,
                                            java.lang.String value)
                                     throws IfsException

  Description copied from class: `IfsObjectResolver`
  Makes the AttributeValue associated with this type and value

  Throws:
    `IfsException`

### getSystemAcl

    public AccessControlList getSystemAcl(java.lang.String aclname)
                                   throws IfsException

  Description copied from class: `IfsObjectResolver`
  Finds the System Acl associated with aclname

  Throws:
    `IfsException`

### getAnonymousHomeFolder

    public Folder getAnonymousHomeFolder()
                                  throws IfsException

  Description copied from class: `IfsObjectResolver`
  Finds the folder that is the home folder for the anonymous user

  Throws:
    `IfsException`

### getHomeFolder

    public Folder getHomeFolder()
                         throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets the home folder for the current user

  Throws:
    `IfsException`

### getHomeFolder

    public Folder getHomeFolder(java.lang.String username)
                         throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets the home folder for the username

  Throws:
    `IfsException`

### getHomeFolder

    public Folder getHomeFolder(DirectoryUser user)
                         throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets the home folder for the user

  Throws:
    `IfsException`

### getDirectoryUser

    public DirectoryUser getDirectoryUser(java.lang.String username)
                                   throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets the DirectoryUser aociated with username

  Throws:
    `IfsException`

### getDesiredBufferSize

    public int getDesiredBufferSize()

  Description copied from class: `IfsObjectResolver`
  detrmines the size of the byte buffer

### getParserByFilename

    public Parser getParserByFilename(java.lang.String filename)
                               throws IfsException

  Description copied from class: `IfsObjectResolver`
  Finds and constructs a parser based on its filename extension. For example, "blah.xml" would find the xml parser and return it if no parser is found null is return

  Parameters:
    `filename` - the filename used to lookup parser can be entire path
  Throws:
    `IfsException` - if parser found, but dynamic instantiation fails

### constructParser

    public Parser constructParser(java.lang.String parserPath)
                           throws IfsException

  Description copied from class: `IfsObjectResolver`
  constructs a parser based on a parserpath

  Parameters:
    `parserPath` - the path used to dynamically construct the parser
  Throws:
    `IfsException`

### getLibraryObjectById

    public LibraryObject getLibraryObjectById(java.lang.Long id)
                                       throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets either the PublicObject, SystemObject, or SchemaObject associated with id. Returns null if no objects found

  Throws:
    `IfsException`

### getLibraryObjectByValueDefault

    public LibraryObject getLibraryObjectByValueDefault(java.lang.String valDefName)
                                                 throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets a LibraryObject from a ValueDefault name. If value default does not point to a libraryObject then null is returned.

  Throws:
    `if` - operation fails
    `IfsException`

### getAttributes

    public AttributeValue[] getAttributes(LibraryObject obj,
                                          java.lang.String[] attrs)
                                   throws IfsException

  Throws:
    `IfsException`

### getAttributesArray

    public AttributeValue[][] getAttributesArray(LibraryObject[] objs,
                                                 java.lang.String[] attrs)
                                          throws IfsException

  Description copied from class: `IfsObjectResolver`
  Gets a set of Attributes for an array of LibraryObjects.

  Throws:
    `if` - operation fails
    `IfsException`

### getMeaningfulString

    public java.lang.String getMeaningfulString(AttributeValue attr)
                                         throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD